OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.GPUShaderInt64

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBGPUShaderInt64 :: MonadIO m => m Bool
- gl_ARB_gpu_shader_int64 :: Bool
- pattern GL_INT64_ARB :: GLenum
- pattern GL_INT64_VEC2_ARB :: GLenum
- pattern GL_INT64_VEC3_ARB :: GLenum
- pattern GL_INT64_VEC4_ARB :: GLenum
- pattern GL_UNSIGNED_INT64_ARB :: GLenum
- pattern GL_UNSIGNED_INT64_VEC2_ARB :: GLenum
- pattern GL_UNSIGNED_INT64_VEC3_ARB :: GLenum
- pattern GL_UNSIGNED_INT64_VEC4_ARB :: GLenum
- glGetUniformi64vARB :: MonadIO m => GLuint -> GLint -> Ptr GLint64 -> m ()
- glGetUniformui64vARB :: MonadIO m => GLuint -> GLint -> Ptr GLuint64 -> m ()
- glGetnUniformi64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64 -> m ()
- glGetnUniformui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glProgramUniform1i64ARB :: MonadIO m => GLuint -> GLint -> GLint64 -> m ()
- glProgramUniform1i64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64 -> m ()
- glProgramUniform1ui64ARB :: MonadIO m => GLuint -> GLint -> GLuint64 -> m ()
- glProgramUniform1ui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glProgramUniform2i64ARB :: MonadIO m => GLuint -> GLint -> GLint64 -> GLint64 -> m ()
- glProgramUniform2i64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64 -> m ()
- glProgramUniform2ui64ARB :: MonadIO m => GLuint -> GLint -> GLuint64 -> GLuint64 -> m ()
- glProgramUniform2ui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glProgramUniform3i64ARB :: MonadIO m => GLuint -> GLint -> GLint64 -> GLint64 -> GLint64 -> m ()
- glProgramUniform3i64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64 -> m ()
- glProgramUniform3ui64ARB :: MonadIO m => GLuint -> GLint -> GLuint64 -> GLuint64 -> GLuint64 -> m ()
- glProgramUniform3ui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glProgramUniform4i64ARB :: MonadIO m => GLuint -> GLint -> GLint64 -> GLint64 -> GLint64 -> GLint64 -> m ()
- glProgramUniform4i64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLint64 -> m ()
- glProgramUniform4ui64ARB :: MonadIO m => GLuint -> GLint -> GLuint64 -> GLuint64 -> GLuint64 -> GLuint64 -> m ()
- glProgramUniform4ui64vARB :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniform1i64ARB :: MonadIO m => GLint -> GLint64 -> m ()
- glUniform1i64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLint64 -> m ()
- glUniform1ui64ARB :: MonadIO m => GLint -> GLuint64 -> m ()
- glUniform1ui64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniform2i64ARB :: MonadIO m => GLint -> GLint64 -> GLint64 -> m ()
- glUniform2i64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLint64 -> m ()
- glUniform2ui64ARB :: MonadIO m => GLint -> GLuint64 -> GLuint64 -> m ()
- glUniform2ui64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniform3i64ARB :: MonadIO m => GLint -> GLint64 -> GLint64 -> GLint64 -> m ()
- glUniform3i64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLint64 -> m ()
- glUniform3ui64ARB :: MonadIO m => GLint -> GLuint64 -> GLuint64 -> GLuint64 -> m ()
- glUniform3ui64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()
- glUniform4i64ARB :: MonadIO m => GLint -> GLint64 -> GLint64 -> GLint64 -> GLint64 -> m ()
- glUniform4i64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLint64 -> m ()
- glUniform4ui64ARB :: MonadIO m => GLint -> GLuint64 -> GLuint64 -> GLuint64 -> GLuint64 -> m ()
- glUniform4ui64vARB :: MonadIO m => GLint -> GLsizei -> Ptr GLuint64 -> m ()

# Extension Support

glGetARBGPUShaderInt64 :: MonadIO m => m Bool Source #

Is the ARB_gpu_shader_int64 extension supported?

gl_ARB_gpu_shader_int64 :: Bool Source #

Is the ARB_gpu_shader_int64 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBGPUShaderInt64` in those cases instead.

# Enums

pattern GL_INT64_ARB :: GLenum Source #

pattern GL_INT64_VEC2_ARB :: GLenum Source #

pattern GL_INT64_VEC3_ARB :: GLenum Source #

pattern GL_INT64_VEC4_ARB :: GLenum Source #

pattern GL_UNSIGNED_INT64_ARB :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC2_ARB :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC3_ARB :: GLenum Source #

pattern GL_UNSIGNED_INT64_VEC4_ARB :: GLenum Source #

# Functions

glGetUniformi64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLint64 | `params` pointing to `COMPSIZE(program,location)` elements of type `GLint64`.
-> m () |

glGetUniformui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> Ptr GLuint64 | `params` pointing to `COMPSIZE(program,location)` elements of type `GLuint64`.
-> m () |

glGetnUniformi64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLint64 | `params` pointing to `bufSize` elements of type `GLint64`.
-> m () |

glGetnUniformui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `bufSize`.
-> Ptr GLuint64 | `params` pointing to `bufSize` elements of type `GLuint64`.
-> m () |

glProgramUniform1i64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64 | `x`.
-> m () |

glProgramUniform1i64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count` elements of type `GLint64`.
-> m () |

glProgramUniform1ui64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `x`.
-> m () |

glProgramUniform1ui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count` elements of type `GLuint64`.
-> m () |

glProgramUniform2i64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> m () |

glProgramUniform2i64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*2` elements of type `GLint64`.
-> m () |

glProgramUniform2ui64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> m () |

glProgramUniform2ui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*2` elements of type `GLuint64`.
-> m () |

glProgramUniform3i64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> GLint64 | `z`.
-> m () |

glProgramUniform3i64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*3` elements of type `GLint64`.
-> m () |

glProgramUniform3ui64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> GLuint64 | `z`.
-> m () |

glProgramUniform3ui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*3` elements of type `GLuint64`.
-> m () |

glProgramUniform4i64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> GLint64 | `z`.
-> GLint64 | `w`.
-> m () |

glProgramUniform4i64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*4` elements of type `GLint64`.
-> m () |

glProgramUniform4ui64ARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> GLuint64 | `z`.
-> GLuint64 | `w`.
-> m () |

glProgramUniform4ui64vARB Source #

Arguments

:: MonadIO m |
=> GLuint | `program`.
-> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*4` elements of type `GLuint64`.
-> m () |

glUniform1i64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64 | `x`.
-> m () |

glUniform1i64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*1` elements of type `GLint64`.
-> m () |

glUniform1ui64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `x`.
-> m () |

glUniform1ui64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*1` elements of type `GLuint64`.
-> m () |

glUniform2i64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> m () |

glUniform2i64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*2` elements of type `GLint64`.
-> m () |

glUniform2ui64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> m () |

glUniform2ui64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*2` elements of type `GLuint64`.
-> m () |

glUniform3i64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> GLint64 | `z`.
-> m () |

glUniform3i64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*3` elements of type `GLint64`.
-> m () |

glUniform3ui64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> GLuint64 | `z`.
-> m () |

glUniform3ui64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*3` elements of type `GLuint64`.
-> m () |

glUniform4i64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLint64 | `x`.
-> GLint64 | `y`.
-> GLint64 | `z`.
-> GLint64 | `w`.
-> m () |

glUniform4i64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLint64 | `value` pointing to `count*4` elements of type `GLint64`.
-> m () |

glUniform4ui64ARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLuint64 | `x`.
-> GLuint64 | `y`.
-> GLuint64 | `z`.
-> GLuint64 | `w`.
-> m () |

glUniform4ui64vARB Source #

Arguments

:: MonadIO m |
=> GLint | `location`.
-> GLsizei | `count`.
-> Ptr GLuint64 | `value` pointing to `count*4` elements of type `GLuint64`.
-> m () |